Qt Reference Documentation

# Obsolete Members for QPageSetupDialog

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QPageSetupDialog class reference

## Public Functions

void | addEnabledOption ( PageSetupDialogOption option )`(obsolete)`
PageSetupDialogOptions | enabledOptions () const`(obsolete)`
bool | isOptionEnabled ( PageSetupDialogOption option ) const`(obsolete)`
void | setEnabledOptions ( PageSetupDialogOptions options )`(obsolete)`

- 4 public functions inherited from QDialog
- 3 public functions inherited from QWidget

## Member Function Documentation

### void QPageSetupDialog::addEnabledOption ( PageSetupDialogOption option )

Use setOption(option, true) instead.

### PageSetupDialogOptions QPageSetupDialog::enabledOptions () const

Use options() instead.

See also setEnabledOptions().

### bool QPageSetupDialog::isOptionEnabled ( PageSetupDialogOption option ) const

Use testOption(option) instead.

### void QPageSetupDialog::setEnabledOptions ( PageSetupDialogOptions options )

Use setOptions(options) instead.

See also enabledOptions().